Page MenuHomeFreeBSD

ifconfig: switch IPv4/IPv6 address manipulations to Netlink
ClosedPublic

Authored by melifaro on May 20 2023, 11:53 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 7, 5:26 AM
Unknown Object (File)
May 20 2024, 8:56 AM
Unknown Object (File)
May 20 2024, 8:56 AM
Unknown Object (File)
May 17 2024, 5:24 AM
Unknown Object (File)
May 17 2024, 5:12 AM
Unknown Object (File)
May 10 2024, 11:52 PM
Unknown Object (File)
May 8 2024, 1:03 AM
Unknown Object (File)
Apr 22 2024, 1:10 AM
Subscribers

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.May 22 2023, 1:47 PM
This revision was automatically updated to reflect the committed changes.

After this change:

root@b14:~ # ifconfig
vtnet0: flags=1008843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST,LOWER_UP> metric 0 mtu 1500
        options=80028<VLAN_MTU,JUMBO_MTU,LINKSTATE>
        ether 58:9c:fc:05:ea:e7
        inet 100.64.0.14 netmask 0xffffff00 broadcast 100.64.0.255
...
root@b14:~ # ifconfig vtnet0 inet 100.64.0.15/24 alias
root@b14:~ # ifconfig
vtnet0: flags=1008843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST,LOWER_UP> metric 0 mtu 1500
        options=80028<VLAN_MTU,JUMBO_MTU,LINKSTATE>
        ether 58:9c:fc:05:ea:e7
        inet 100.64.0.14 netmask 0xffffff00 broadcast 100.64.0.255
        inet 100.64.0.15 netmask 0xffffff00 broadcast 100.64.0.255
...
root@b14:~ # ifconfig vtnet0 inet 100.64.0.15 -alias
...

The session stalled. Login via serial console showed:

root@b14:~ # ifconfig
vtnet0: flags=1008843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST,LOWER_UP> metric 0 mtu 1500
        options=80028<VLAN_MTU,JUMBO_MTU,LINKSTATE>
        ether 58:9c:fc:05:ea:e7
        inet 100.64.0.15 netmask 0xffffff00 broadcast 100.64.0.255

wrong IP address has been removed.